## Function(treeId, treeNode)setting.callback.beforeMouseDown

### Overview[ depends on jquery.ztree.core js ]

Specify callback function, executed before the 'onMouseDown' callback, The return value controls the 'onMouseDown' callback.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node which mouse over

If the DOM which mouse over isn't a node, it will return null.

#### Return Boolean

return true or false

If return false, zTree will not trigger the 'onMouseDown' callback, no effect on other operations.

### Examples of setting & function

#### 1. disable to trigger the 'onMouseDown' callback

    function myBeforeMouseDown(treeId, treeNode) {
        return false;
    };
    var setting = {
    	callback: {
    		beforeMouseDown: myBeforeMouseDown
    	}
    };
    ......